Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034058
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2016-09-22 14:042016-11-24 12:52
ReporterguillermogilView Statuspublic 
Assigned Tojorge-garcia 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision7c08268959f6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression levelProduction - Confirmed Stable
Regression date
Regression introduced in releaseRR16Q2
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/09dc9563011a [^]
Triggers an Emergency PackNo
Summary

0034058: If deleteCurrent function forces to create a new order the document Sequence is wrongly generated

DescriptionIf deleteCurrent function (OB.MobileApp.model.orderlist.deleteCurrent(true)) forces to create a new order the document Sequence is wrongly generated.
It is not taking into account the new orderList order when it is adding the new order to the orderList.
Steps To ReproduceLogin on WebPOS
Add a product
New ticket
Add a product
New ticket
Add a product
Set the following command on the console:
OB.MobileApp.model.orderList.deleteCurrent(true);
Set the following command on the console:
OB.MobileApp.model.orderList.deleteCurrent(true);

You will see that on the orderList are several document numbers wrong
Proposed SolutionSee attached diff
TagsNo tags attached.
Attached Filesdiff file icon forceNewTicketCreation.diff [^] (565 bytes) 2016-09-22 14:05 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0034069RR16Q3.3 closedjorge-garcia If deleteCurrent function forces to create a new order the document Sequence is wrongly generated 
depends on backport 0034070RR16Q2.4 closedRetail If deleteCurrent function forces to create a new order the document Sequence is wrongly generated 

-  Notes
(0090343)
hgbot (developer)
2016-09-28 11:50

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b57385efc7794027cd79ad0f954a0e4525265e20
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Fri Sep 23 11:17:23 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b57385efc7794027cd79ad0f954a0e4525265e20 [^]

Fixed issue 34058: If deleteCurrent function forces to create a new order
the document Sequence is wrongly generated

If the creation of a new order is forced, the sequence number must be updated
correctly.

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0090344)
hgbot (developer)
2016-09-28 11:50

Repository: tools/automation/pi-mobile
Changeset: fe18f0fdae2acf4fd56120ccdbade18f301ddd4a
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Sep 27 11:39:57 2016 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/fe18f0fdae2acf4fd56120ccdbade18f301ddd4a [^]

Verifies issue 34058: If deleteCurrent function forces to create a new order
the document Sequence is wrongly generated

Added test I34058_WrongDocSequenceWithDeleteCurrent.

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/documentno/I34058_WrongDocSequenceWithDeleteCurrent.java
---
(0091352)
hgbot (developer)
2016-11-11 08:49

Repository: retail/backports/3.0RR16Q2.4/org.openbravo.retail.posterminal
Changeset: fda289a0a3c41e7061cad2610c9c93e9f8e677dd
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Fri Sep 23 11:17:23 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q2.4/org.openbravo.retail.posterminal/rev/fda289a0a3c41e7061cad2610c9c93e9f8e677dd [^]

Fixed issue 34070, backport of issue 34058: If deleteCurrent function forces to create a new order
the document Sequence is wrongly generated

If the creation of a new order is forced, the sequence number must be updated
correctly.

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0091360)
hgbot (developer)
2016-11-11 08:50

Repository: retail/backports/3.0RR16Q2.4/pi-mobile
Changeset: f9f5fe09439c19e9f338839687697e42bf69050e
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Sep 27 11:39:57 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q2.4/pi-mobile/rev/f9f5fe09439c19e9f338839687697e42bf69050e [^]

Verifies issue 34058: If deleteCurrent function forces to create a new order
the document Sequence is wrongly generated

Added test I34058_WrongDocSequenceWithDeleteCurrent.

---
M src-test/org/openbravo/test/mobile/common/selenium/javascript/TestId.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/documentno/I34058_WrongDocSequenceWithDeleteCurrent.java
---
(0091364)
hgbot (developer)
2016-11-11 08:51

Repository: retail/backports/3.0RR16Q3.3/org.openbravo.retail.posterminal
Changeset: 7c08268959f6bc11a90cd19a82689e3c5af5940d
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Fri Sep 23 11:17:23 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q3.3/org.openbravo.retail.posterminal/rev/7c08268959f6bc11a90cd19a82689e3c5af5940d [^]

Fixed issue 34058, backport of issue 34069: If deleteCurrent function forces to create a new order
the document Sequence is wrongly generated

If the creation of a new order is forced, the sequence number must be updated
correctly.

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0091369)
hgbot (developer)
2016-11-11 08:52

Repository: retail/backports/3.0RR16Q3.3/pi-mobile
Changeset: fde1171803762f3453b8f29712dc99ea0ce65c3b
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Sep 27 11:39:57 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q3.3/pi-mobile/rev/fde1171803762f3453b8f29712dc99ea0ce65c3b [^]

Verifies issue 34058: If deleteCurrent function forces to create a new order
the document Sequence is wrongly generated

Added test I34058_WrongDocSequenceWithDeleteCurrent.

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/documentno/I34058_WrongDocSequenceWithDeleteCurrent.java
---
(0091401)
migueldejuana (developer)
2016-11-11 14:24

Tested and reviewed
(0091710)
hgbot (developer)
2016-11-21 16:30

Repository: retail/backports/3.0RR16Q2.4/pi-mobile
Changeset: f9f5fe09439c19e9f338839687697e42bf69050e
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Sep 27 11:39:57 2016 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR16Q2.4/pi-mobile/rev/f9f5fe09439c19e9f338839687697e42bf69050e [^]

Verifies issue 34058: If deleteCurrent function forces to create a new order
the document Sequence is wrongly generated

Added test I34058_WrongDocSequenceWithDeleteCurrent.

---
M src-test/org/openbravo/test/mobile/common/selenium/javascript/TestId.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/documentno/I34058_WrongDocSequenceWithDeleteCurrent.java
---
(0091721)
hgbot (developer)
2016-11-21 19:15

Repository: tools/automation/pi-mobile
Changeset: f9f5fe09439c19e9f338839687697e42bf69050e
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Sep 27 11:39:57 2016 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/f9f5fe09439c19e9f338839687697e42bf69050e [^]

Verifies issue 34058: If deleteCurrent function forces to create a new order
the document Sequence is wrongly generated

Added test I34058_WrongDocSequenceWithDeleteCurrent.

---
M src-test/org/openbravo/test/mobile/common/selenium/javascript/TestId.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/documentno/I34058_WrongDocSequenceWithDeleteCurrent.java
---
(0091778)
hgbot (developer)
2016-11-24 12:52

Repository: tools/automation/pi-mobile
Changeset: fde1171803762f3453b8f29712dc99ea0ce65c3b
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Sep 27 11:39:57 2016 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/fde1171803762f3453b8f29712dc99ea0ce65c3b [^]

Verifies issue 34058: If deleteCurrent function forces to create a new order
the document Sequence is wrongly generated

Added test I34058_WrongDocSequenceWithDeleteCurrent.

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/documentno/I34058_WrongDocSequenceWithDeleteCurrent.java
---

- Issue History
Date Modified Username Field Change
2016-09-22 14:04 guillermogil New Issue
2016-09-22 14:04 guillermogil Assigned To => Retail
2016-09-22 14:04 guillermogil Regression level => Production - Confirmed Stable
2016-09-22 14:04 guillermogil Regression introduced in release => RR16Q2
2016-09-22 14:04 guillermogil Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/09dc9563011a [^]
2016-09-22 14:04 guillermogil Triggers an Emergency Pack => No
2016-09-22 14:05 guillermogil File Added: forceNewTicketCreation.diff
2016-09-22 14:36 guillermogil Steps to Reproduce Updated View Revisions
2016-09-22 14:55 lorenzofidalgo Priority urgent => immediate
2016-09-23 10:47 jorge-garcia Status new => scheduled
2016-09-23 10:47 jorge-garcia Assigned To Retail => jorge-garcia
2016-09-28 11:50 hgbot Checkin
2016-09-28 11:50 hgbot Note Added: 0090343
2016-09-28 11:50 hgbot Status scheduled => resolved
2016-09-28 11:50 hgbot Resolution open => fixed
2016-09-28 11:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b57385efc7794027cd79ad0f954a0e4525265e20 [^]
2016-09-28 11:50 hgbot Checkin
2016-09-28 11:50 hgbot Note Added: 0090344
2016-09-30 13:16 marvintm Review Assigned To => marvintm
2016-09-30 13:16 marvintm Status resolved => closed
2016-11-11 08:49 hgbot Checkin
2016-11-11 08:49 hgbot Note Added: 0091352
2016-11-11 08:50 hgbot Checkin
2016-11-11 08:50 hgbot Note Added: 0091360
2016-11-11 08:51 hgbot Checkin
2016-11-11 08:51 hgbot Note Added: 0091364
2016-11-11 08:51 hgbot Status closed => resolved
2016-11-11 08:51 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b57385efc7794027cd79ad0f954a0e4525265e20 [^] => http://code.openbravo.com/retail/backports/3.0RR16Q3.3/org.openbravo.retail.posterminal/rev/7c08268959f6bc11a90cd19a82689e3c5af5940d [^]
2016-11-11 08:52 hgbot Checkin
2016-11-11 08:52 hgbot Note Added: 0091369
2016-11-11 14:24 migueldejuana Review Assigned To marvintm => migueldejuana
2016-11-11 14:24 migueldejuana Note Added: 0091401
2016-11-11 14:24 migueldejuana Status resolved => closed
2016-11-16 09:36 lorenzofidalgo Steps to Reproduce Updated View Revisions
2016-11-21 16:30 hgbot Checkin
2016-11-21 16:30 hgbot Note Added: 0091710
2016-11-21 19:15 hgbot Checkin
2016-11-21 19:15 hgbot Note Added: 0091721
2016-11-24 12:52 hgbot Checkin
2016-11-24 12:52 hgbot Note Added: 0091778


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker